%define anolis_release 2

Name:           jurand
Version:        1.3.1
Release:        %{anolis_release}%{?dist}
Summary:        A tool for manipulating Java symbols
License:        Apache-2.0
URL:            https://github.com/fedora-java/jurand

Source0:        https://github.com/fedora-java/jurand/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++

BuildRequires:  asciidoc
BuildRequires:  diffutils
BuildRequires:  make
BuildRequires:  xmlto

%description
The tool can be used for patching .java sources in cases where using sed is
insufficient due to Java language syntax. The tool follows Java language rules
rather than applying simple regular expressions on the source code.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q

%build
%{make_build} test-compile manpages

%install
export buildroot=%{buildroot}
export bindir=%{_bindir}
export rpmmacrodir=%{_rpmmacrodir}
export mandir=%{_mandir}/man7

./install.sh

%check
make test

%files
%dir %{_rpmconfigdir}
%dir %{_rpmmacrodir}
%{_bindir}/jurand
%{_rpmmacrodir}/macros.jurand
%{_mandir}/man7/java_remove_annotations.7.*
%{_mandir}/man7/java_remove_imports.7.*
%license LICENSE NOTICE

%files doc
%doc README.md

%changelog
* Thu Dec 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.1-2
- rebuild

* Mon Mar 27 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.3.1-1
- init from upstream
